#1  
Old 22nd August 2005, 13:49
Pasco Pasco is offline
Member
 
Join Date: Aug 2005
Location: Switzerland
Posts: 95
Thanks: 11
Thanked 0 Times in 0 Posts
Default PHP 4/5 switch?

Hi 2gether,

I'd appreciate a switch for changing between PHP Version 4 and 5 on ISPConfig. Or is it already possible to change this somehow? It would be great if you could change it for each customer/web on its own..

thx in advance,
Grz,
P@sco
Reply With Quote
Sponsored Links
  #2  
Old 22nd August 2005, 13:56
till till is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lneburg, Germany
Posts: 36,380
Thanks: 833
Thanked 5,480 Times in 4,314 Posts
Default

Quote:
Originally Posted by Pasco
I'd appreciate a switch for changing between PHP Version 4 and 5 on ISPConfig. Or is it already possible to change this somehow?
The PHP that is compiled by the ISPCOnfig installer is for the controlpanel (backend) only. This has nothing to do if your hosted websites use PHP4 or PHP5.

Quote:
Originally Posted by Pasco
It would be great if you could change it for each customer/web on its own..
You can have a second PHP as CGI and put the vhost configuration for that in the httpd includes field of the site.
Reply With Quote
  #3  
Old 22nd August 2005, 20:01
Pasco Pasco is offline
Member
 
Join Date: Aug 2005
Location: Switzerland
Posts: 95
Thanks: 11
Thanked 0 Times in 0 Posts
Default

OK, but can I switch somehow between PHP 4 and PHP 5 in the "ISPConfig-Main-http-deamon"? Because I have a webshop (xt-commerce) and want to run it. But its free version runs only under PHP 4 and is not compatible with PHP 5...

BTW: How do I have a second PHP? And can you give me an example for such an vhost configuration please?
Reply With Quote
  #4  
Old 22nd August 2005, 21:55
till till is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lneburg, Germany
Posts: 36,380
Thanks: 833
Thanked 5,480 Times in 4,314 Posts
Default

Quote:
Originally Posted by Pasco
OK, but can I switch somehow between PHP 4 and PHP 5 in the "ISPConfig-Main-http-deamon"? Because I have a webshop (xt-commerce) and want to run it. But its free version runs only under PHP 4 and is not compatible with PHP 5...

BTW: How do I have a second PHP? And can you give me an example for such an vhost configuration please?
This is not a question specific for ISPConfig, because you can have php4 or php5 on your webserver.

maybe this helps you:

http://www.sitepoint.com/blogs/2004/...5-in-parallel/
Reply With Quote
  #5  
Old 22nd August 2005, 22:15
Pasco Pasco is offline
Member
 
Join Date: Aug 2005
Location: Switzerland
Posts: 95
Thanks: 11
Thanked 0 Times in 0 Posts
 
Default

thanks so much for your link, that will help me for sure!
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
[error] an unkown filter was not added: PHP Arien Installation/Configuration 12 7th October 2006 14:17
PHP not working jefash General 10 28th May 2006 08:48
Cannot compile new PHP with apxs olli Installation/Configuration 11 4th March 2006 15:32
Multiple domains jysse Installation/Configuration 2 10th August 2005 11:22
Apache + PHP lola Server Operation 1 25th April 2005 13:41


All times are GMT +2. The time now is 15:10.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.